Subject: Re: [PATCH] [NET_SCHED]make qdisc_restart more readable

From: jamal <[email-masked]>
Date: Wed, 16 May 2007 22:12:47 -0400

On Wed, 2007-16-05 at 16:15 -0700, Sridhar Samudrala wrote:

> 
> I think your qdisc_restart() cleanup patch is OK. There you are
> still calling dev_hard_start_xmit() and GSO should work fine.

Sorry, you are right - I thought i cutnpasted from it.
So Dave, false alarm ;-> That patch is clean.

> But the batch xmit patch has some issues.

I will resubmit that. I nheed to think about it a little.
It should work fine as is if no GSO or nit.

cheers,
jamal